routes/web.php
<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\ShahrakController;

use App\Http\Controllers\ResidentController;
use App\Http\Controllers\LandController;

use App\Http\Controllers\ApartmentController;
use App\Http\Controllers\DocumentController;
use App\Http\Controllers\PaymentController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\RoleController;
use App\Http\Controllers\ReportController;
use Faker\Provider\ar_EG\Payment;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/




Auth::routes();
Route::get('/', [HomeController::class, 'index'])->name('dashboard');
Route::get('/countapartment', [HomeController::class, 'countapartment']);
Route::get('/countland', [HomeController::class, 'countland']);
Route::get('/privateandgovernment', [HomeController::class, 'privateandgovernment']);
Route::resource('resident', ResidentController::class);
Route::resource('land', LandController::class);
Route::resource('apartment', ApartmentController::class);
Route::resource('payment', PaymentController::class);
Route::resource('role', RoleController::class);
Route::resource('user', UserController::class);
Route::resource('document', DocumentController::class);
Route::get('report', [ReportController::class, 'form'])->name('report.form');
Route::post('report', [ReportController::class, 'generate'])->name('report.generate');
Route::resource('shahrak', ShahrakController::class);

app/Models/Payment.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Payment extends Model
{
    use HasFactory;
    use SoftDeletes;

    protected $softDelete = true;

    public function land()
    {
        return $this->belongsTo(Land::class, 'land_id');
    }

    public function apartment()
    {
        return $this->belongsTo(Apartment::class, 'apartment_id');
    }
}

app/Http/Controllers/PaymentController.php
<?php

namespace App\Http\Controllers;

use App\Models\Payment;
use Illuminate\Http\Request;
use App\Models\Land;
use App\Models\Apartment;
use Auth;

class PaymentController extends Controller
{

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        // $this->middleware('guest');
        $this->middleware('auth');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        if(!Auth::user()->can('payment_show'))
          return view('user.access');

        $payment = Payment::all();
        return view('payment.index',['payment' => $payment]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        if(!Auth::user()->can('payment_add'))
          return view('user.access');

        $apartments = Apartment::all();
        $lands = Land::all();


        return view('payment.create', compact('lands', 'apartments'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        if(!Auth::user()->can('payment_add'))
          return view('user.access');

        $request->validate([
            "type" => "required",
            "apartment_id" => "required_without:land_id",
            "land_id" => "required_without:apartment_id",
            "awiz_no" => "required",
            "partial_no" => "required",
            "amount" => "required",
            "date" => "required",
        ]);

        $Jdate = explode('/', faTOen($request->date));
        $j_y = $Jdate[0];
        $j_m = $Jdate[1];
        $j_d = $Jdate[2];
        $Gdate = jalali_to_gregorian($j_y, $j_m, $j_d);

        $payment = new Payment;
            if($request->type == 'land')
              $payment->land_id = $request->land_id;
            if($request->type == 'apartment')
              $payment->apartment_id = $request->apartment_id;

          $payment->awiz_no = $request->awiz_no;
          $payment->partial_no = $request->partial_no;
          $payment->amount = $request->amount;
          $payment->date = $Gdate;
          $payment->save();

       return redirect()->route('payment.index')->with('message', __('general.success_message'));
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Payment  $payment
     * @return \Illuminate\Http\Response
     */
    public function show(Payment $payment)
    {

        return view('user.access');
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Payment  $payment
     * @return \Illuminate\Http\Response
     */
    public function edit(Payment $payment)
    {
        if(!Auth::user()->can('payment_edit'))
          return view('user.access');

        $apartments = Apartment::all();
        $lands = Land::all();

        return view('payment.edit', compact('payment','apartments','lands'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Payment  $payment
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Payment $payment)
    {
        if(!Auth::user()->can('payment_edit'))
          return view('user.access');

        $request->validate([
            "apartment_id" => "required_without:land_id",
            "land_id" => "required_without:apartment_id",
            "awiz_no" => "required",
            "partial_no" => "required",
            "amount" => "required",
            "date" => "required",
        ]);

        $Jdate = explode('/', faTOen($request->date));
        $j_y = $Jdate[0];
        $j_m = $Jdate[1];
        $j_d = $Jdate[2];
        $Gdate = jalali_to_gregorian($j_y, $j_m, $j_d);

        if(!is_null($payment->land_id))
          $payment->land_id = $request->land_id;
        if(!is_null($payment->apartment_id))
          $payment->apartment_id = $request->apartment_id;

        $payment->awiz_no = $request->awiz_no;
        $payment->partial_no = $request->partial_no;
        $payment->amount = $request->amount;
        $payment->date = $Gdate;

        $payment->save();

        return redirect()->route('payment.index')->with('message', ''.$request->name.'Payment updated succssfully');

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Payment  $payment
     * @return \Illuminate\Http\Response
     */
    public function destroy(Payment $payment)
    {
        if(!Auth::user()->can('payment_delete'))
          return view('user.access');

        $payment->delete();

        return redirect()->route('payment.index')->with('message', __('general.record_deleted'));
    }
}

resources/views/payment/create.blade.php
@extends('app')

@section('page_title',__('general.add_payment'))

@section('body')
       <div class="card card-secondary">
            <div class="card-header">
              <h3 class="card-title rtl">{{__('general.add_payment')}}</h3>
            </div>

            <div class="card-body">
              <form action="{{ route('payment.store') }}" method="POST">
                @csrf
                <div class="row">
                  <div class="col-sm-4">

                    <div class="radio">
                      <label>
                      <input type="radio" name="type"  value="apartment" >
                      {{__('general.is_apartment')}}
                      </label>
                      <label>
                      <input type="radio" name="type"  value="land" >
                      {{__('general.is_land')}}
                      </label>
                    </div>


                    <div class="form-group hidden apartment">
                      <label>{{__('general.apartment_name')}}<span class="text-danger"> * </span></label>

                      <select class="form-control select2" style="width: 100%;" name="apartment_id">
                          <option>{{__('general.select')}}</option>
                          @foreach ($apartments as $id => $apartment)
                            <option value="{{ $apartment->id }}">{{ $apartment->apartment_no.'-'.$apartment->resident->name.' '.$apartment->resident->father_name }}</option>
                          @endforeach
                      </select>
                    </div>

                    <div class="form-group hidden land">
                      <label>{{__('general.land_name')}}<span class="text-danger"> * </span></label>

                      <select class="form-control select2" style="width: 100%;" name="land_id">
                          <option>{{__('general.select')}}</option>
                          @foreach ($lands as $id => $land)
                            <option value="{{ $land->id }}">{{ $land->land_no.'-'.$land->resident->name.' '.$land->resident->father_name }}</option>
                          @endforeach
                      </select>
                    </div>

                    <div class="form-group">
                      <label for="exampleInputEmail1">{{__('general.bill_no')}}<span class="text-danger"> * </span></label>
                      <input value="{{ old('bill_no') }}" type="text" class="form-control"   name="awiz_no">
                    @error('awiz_no')
                        <span style="color: red;">* {{ $message }} </span>
                    @enderror
                    </div>

                    <div class="form-group">
                      <label for="exampleInputEmail1">{{__('general.partial_no')}}<span class="text-danger"> * </span></label>
                      <input value="{{ old('partial_no') }}" type="number" class="form-control"   name="partial_no">
                    @error('partial_no')
                        <span style="color: red;">* {{ $message }} </span>
                    @enderror
                    </div>

                    <div class="form-group">
                      <label for="exampleInputEmail1">{{__('general.amount')}}<span class="text-danger"> * </span></label>
                      <input value="{{ old('amount') }}" type="number" class="form-control"   name="amount">
                    @error('amount')
                        <span style="color: red;">* {{ $message }} </span>
                    @enderror
                    </div>

                    <div class="form-group">
                      <label for="exampleInputEmail1">{{__('general.date')}}<span class="text-danger"> * </span></label>
                      <input value="{{ old('date') }}" type="text" class="form-control jalali-date"  name="date">
                    @error('date')
                        <span style="color: red;">*  {{ $message }} </span>
                    @enderror
                    </div>

                  </div>

                  </div>
                  <button type="submit" class="btn btn-info btn-flat">{{__('general.add_payment')}}</button>
              </form>
            </div>
            <!-- /.card-body -->
          </div>
        </div>
@endsection

@pushOnce('datatables-script')
<script>
  $('input[type=radio][name=type]').change(function() {
      if (this.value == 'land') {

          $(".land").css("display", "block");
          $(".apartment").css("display", "none");
      }
      else if (this.value == 'apartment') {

          $(".apartment").css("display", "block");
          $(".land").css("display", "none");
      }
  });

</script>

@endpushOnce

resources/views/payment/edit.blade.php
@extends('app')

@section('page_title',__('general.add_payment'))

@section('body')
       <div class="card card-secondary">
            <div class="card-header">
              <h3 class="card-title rtl">{{__('general.add_payment')}}</h3>
            </div>

            <div class="card-body">
              <form action="{{ route('payment.update', $payment) }}" method="POST">
                @csrf
                @method('PUT')
                <div class="row">
                  <div class="col-sm-4">

                    <div class="form-group apartment @if(is_null($payment->apartment_id)) hidden @endif ">
                      <label>{{__('general.apartment_name')}}</label>

                      <select class="form-control select2" style="width: 100%;" name="apartment_id">
                          <option>{{__('general.select')}}</option>
                          @foreach ($apartments as $id => $apartment)
                            <option value="{{ $apartment->id }}" @if($apartment->id == $payment->apartment_id ) selected @endif>{{ $apartment->apartment_no.'-'.$apartment->resident->name.' '.$apartment->resident->father_name }}</option>
                          @endforeach
                      </select>
                    </div>

                    <div class="form-group land @if(is_null($payment->land_id)) hidden @endif">
                      <label>{{__('general.land_name')}}</label>

                      <select class="form-control select2" style="width: 100%;" name="land_id">
                          <option>{{__('general.select')}}</option>
                          @foreach ($lands as $id => $land)
                            <option value="{{ $land->id }}" @if($land->id == $payment->land_id ) selected @endif >{{ $land->land_no.'-'.$land->resident->name.' '.$land->resident->father_name }}</option>
                          @endforeach
                      </select>
                    </div>

                    <div class="form-group">
                      <label for="exampleInputEmail1">{{__('general.bill_no')}}</label>
                      <input value="{{ $payment->awiz_no }}" type="text" class="form-control"   name="awiz_no">
                      @error('bill_no')
                      <span style="color: red;">*  {{ $message }} </span>
                      @enderror
                    </div>

                    <div class="form-group">
                      <label for="exampleInputEmail1">{{__('general.partial_no')}}</label>
                      <input value="{{ $payment->partial_no }}" type="number" class="form-control"   name="partial_no">
                      @error('partial_no')
                      <span style="color: red;">*  {{ $message }} </span>
                      @enderror
                    </div>

                    <div class="form-group">
                      <label for="exampleInputEmail1">{{__('general.amount')}}</label>
                      <input value="{{ $payment->amount }}" type="number" class="form-control"   name="amount">
                      @error('amount')
                      <span style="color: red;">*  {{ $message }} </span>
                      @enderror
                    </div>

                    <div class="form-group">
                      <label for="exampleInputEmail1">{{__('general.date')}}</label>
                      <input value="{{ $payment->date }}" type="text" class="form-control jalali-date"  name="date">
                      @error('date')
                      <span style="color: red;">*  {{ $message }} </span>
                      @enderror
                    </div>

                  </div>

                  </div>
                  <button type="submit" class="btn btn-info btn-flat">{{__('general.add_payment')}}</button>
              </form>
            </div>
            <!-- /.card-body -->
          </div>
        </div>
@endsection

@pushOnce('datatables-script')
<script>
  $('input[type=radio][name=type]').change(function() {
      if (this.value == 'land') {

          $(".land").css("display", "block");
          $(".apartment").css("display", "none");
      }
      else if (this.value == 'apartment') {

          $(".apartment").css("display", "block");
          $(".land").css("display", "none");
      }
  });

</script>

@endpushOnce

resources/views/payment/index.blade.php
@extends('app')

@section('page_title',__('general.list_payment'))

@section('body')
@if ($message = session('message'))
<div class="callout callout-success">
  <p class="text-success">
    <b><i class="fas fa-info"></i></b> {{ $message }}
  </p>
</div>
@endif


<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">

        <!-- /.card -->

        <div class="card">

          <div class="card-body">
            <table id="example1" class="table table-bordered table-striped" style="width: 100%;">
              <thead>
              <tr>
                <th>{{__('general.type')}} </th>
                <th>{{__('general.owner')}} </th>
                <th>{{__('general.bill_no')}} </th>
                <th>{{__('general.partial_no')}} </th>
                <th>{{__('general.amount')}}</th>
                <th>{{__('general.date')}}</th>
                <th>{{__('general.options')}}</th>
              </tr>
              </thead>
              <tbody>
                  @foreach ($payment as $item)
                      <tr>
                          <td>
                            @if($item->apartment_id)
                              {{__('general.is_apartment') }}
                            @endif
                            @if($item->land_id)
                              {{__('general.is_land') }}
                            @endif
                          </td>
                          <td>
                            @if($item->apartment_id)
                              {{ $item->apartment->apartment_no.'-'.$item->apartment->resident->name.' '.$item->apartment->resident->father_name }}
                            @endif
                            @if($item->land_id)
                              {{ $item->land->land_no.'-'.$item->land->resident->name.' '.$item->land->resident->father_name }}
                            @endif

                          </td>
                          <td>
                              {{ $item->awiz_no }}
                          </td>

                          <td>
                              {{ $item->partial_no }}
                          </td>
                          <td>
                            {{ $item->amount .' '.__('general.afn') }}
                          </td>
                          <td>
                            @php
                              $date = explode('-', $item->date);
                              echo gregorian_to_jalali($date[0], $date[1], $date[2]);
                            @endphp
                          </td>
                          <td>

                            <a class="btn btn-primary btn-xs" href="{{ route('payment.edit',$item->id)}}">{{__('general.edit')}}</a>

                            <a class="btn btn-danger btn-xs" onclick="confirmDelete({{ $item->id }})" href="#">{{__('general.delete')}}</a>

                            <form id="delete{{$item->id}}" action="{{ route('payment.destroy', $item->id)}}" method="post">
                              @csrf
                              @method('DELETE')
                            </form>


                          </td>
                      </tr>
                  @endforeach
              </tbody>
            </table>
          </div>
          <!-- /.card-body -->
        </div>
        <!-- /.card -->
      </div>
      <!-- /.col -->
    </div>
    <!-- /.row -->
  </div>
  <!-- /.container-fluid -->
</section>

@endsection



@pushOnce('datatables-script')
<script src="{{ asset('/plugins/datatables/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js') }}"></script>
<script src="{{ asset('/plugins/datatables-responsive/js/dataTables.responsive.min.js') }}"></script>
<script src="{{ asset('/plugins/datatables-responsive/js/responsive.bootstrap4.min.js') }}"></script>
<script src="{{ asset('/plugins/datatables-buttons/js/dataTables.buttons.min.js') }}"></script>
<script src="{{ asset('/plugins/datatables-buttons/js/buttons.bootstrap4.min.js') }}"></script>
<script src="{{ asset('/plugins/jszip/jszip.min.js') }}"></script>
<script src="{{ asset('/plugins/pdfmake/pdfmake.min.js') }}"></script>
<script src="{{ asset('/plugins/pdfmake/vfs_fonts.js') }}"></script>
<script src="{{ asset('/plugins/datatables-buttons/js/buttons.html5.min.js') }}"></script>
<script src="{{ asset('/plugins/datatables-buttons/js/buttons.print.min.js') }}"></script>
<script src="{{ asset('/plugins/datatables-buttons/js/buttons.colVis.min.js') }}"></script>


<script>
  $(function () {
  $("#example1").DataTable({
    "responsive": true, "lengthChange": false, "autoWidth": false,
    // "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
  }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
  $('#example2').DataTable({
    "paging": true,
    "lengthChange": false,
    "searching": false,
    "ordering": true,
    "info": true,
    "autoWidth": false,
    "responsive": true,
  });
});

</script>

<script>
function confirmDelete(id) {
  let text = 'آیا مطمین استید تا این ریکارد حذف شود؟';
  if (confirm(text) == true) {
    $('form#delete'+id).submit();

  } else {
    alert('ریکارد حذف نشد.');
  }

}
</script>
@endpushOnce

resources/views/payment/payments.blade.php
@extends('app')  

@section('page_title','Payments')

@section('body') 
       <div class="card card-secondary">
            <div class="card-header">
              <h3 class="card-title">Payments</h3>
            </div>
            <!-- /.card-header -->
            {{-- <h1>{{$name}}</h1> --}}
            <div class="card-body">
              <form action="" method="POST">
                @csrf
                <div class="row">
                    <div class="col-sm-12">
                        <!-- radio -->
                        <div class="form-group clearfix">
                          <div class="icheck-primary d-inline">
                            <input type="radio" id="radioPrimary1" name="r1" checked="">
                            <label for="radioPrimary1">{{__('language.Land')}}</label>
                          </div>
                          <div class="icheck-primary d-inline">
                            <input type="radio" id="radioPrimary2" name="r1">
                            <label for="radioPrimary2">{{__('language.Apartment')}}</label>
                          </div>
                        </div>
                      </div>
                    <div class="form-group col-sm-4" data-select2-id="29">
                        <label>{{__('language.Apartment')}}</label>
                        <select class="form-control select2 select2-hidden-accessible" style="width: 100%;" data-select2-id="9" tabindex="-1" aria-hidden="true">
                        <option selected="selected" data-select2-id="11"></option>
                        <option data-select2-id="35">imran</option>
                        <option data-select2-id="40">Rohullah</option>
                        </select>
                    </div>
                    <div class="form-group col-sm-4" data-select2-id="29">
                        <label>{{__('language.Resident')}}</label>
                        <select class="form-control select2 select2-hidden-accessible" style="width: 100%;" data-select2-id="9" tabindex="-1" aria-hidden="true">
                        <option selected="selected" data-select2-id="11"></option>
                        <option data-select2-id="35">imran</option>
                        <option data-select2-id="40">Rohullah</option>
                        </select>
                    </div>
                    <div class="form-group col-sm-4">
                      <label for="exampleInputEmail1">{{__('language.AwizNo')}}</label>
                      <input type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter AwizNo">
                    </div>
                    <div class="form-group col-sm-4">
                      <label for="exampleInputEmail1">{{__('language.PartialNo')}}</label>
                      <input type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter Partial No">
                    </div>
                    <div class="form-group col-sm-4">
                        <label for="exampleInputEmail1">{{__('language.Amount')}}</label>
                        <input type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter Amount">
                      </div>
                    <div class="form-group col-sm-4">
                        <label>{{__('language.Date')}}</label>
                          <div class="input-group date" id="reservationdatetime" data-target-input="nearest">
                          <input name="date" type="text" class="form-control datetimepicker-input example1" data-target="#reservationdatetime">
                              <div class="input-group-append" data-target="#reservationdatetime" data-toggle="datetimepicker">
                                  <div class="input-group-text"><i class="fa fa-calendar"></i></div>
                              </div>
                          </div>
                    </div>
                    <div class="card-footer">
                      <button type="submit" class="btn btn-primary">{{__('language.submit')}}</button>
                    </div>
                  </div>
              </form>
            </div>

          </div>
        </div>
@endsection